# studio::DockDialog Class Reference

`#include <dockdialog.h>`

List of all members.

## Public Member Functions

const std::vector< int > & | get_dock_book_sizes () const
void | set_dock_book_sizes (const std::vector< int > &)
void | rebuild_sizes ()
bool | close ()
int | get_id () const
DockBook * | append_dock_book ()
DockBook * | prepend_dock_book ()
void | erase_dock_book (DockBook *)
void | set_composition_selector (bool x)
bool | get_composition_selector () const
| DockDialog ()
| ~DockDialog ()
DockBook & | get_dock_book ()
const DockBook & | get_dock_book () const
synfig::String | get_contents () const
void | set_contents (const synfig::String &x)

## Friends

class | DockManager
class | DockBook
class | Dockable

## Constructor & Destructor Documentation

DockDialog::DockDialog | ( |  | ) |

Todo:
  can we set dialog windows transient for all normal windows, not just the toolbox? paragraph 3 of http://standards.freedesktop.org/wm-spec/1.3/ar01s07.html suggests we can

References _, close(), studio::DockManager::dock_dialog_list_, studio::App::dock_manager, get_id(), GRAB_HINT_DATA, studio::App::signal_present_all(), studio::App::toolbox, and studio::App::ui_manager().

DockDialog::~DockDialog | ( |  | ) |

Todo:
  Fix this UGLY HACK

References studio::DockManager::dock_dialog_list_, and studio::App::dock_manager.

## Member Function Documentation

const std::vector<int>& studio::DockDialog::get_dock_book_sizes | ( |  | ) | const`[inline]`

void DockDialog::set_dock_book_sizes | ( | const std::vector< int > & | new_sizes | ) |

void DockDialog::rebuild_sizes | ( |  | ) |

bool DockDialog::close | ( |  | ) |

Referenced by DockDialog(), and erase_dock_book().

int studio::DockDialog::get_id | ( |  | ) | const`[inline]`

Referenced by DockDialog().

DockBook * DockDialog::append_dock_book | ( |  | ) |

References erase_dock_book(), studio::DockBook::signal_changed(), and studio::DockBook::signal_empty().

Referenced by get_dock_book(), and set_contents().

DockBook * DockDialog::prepend_dock_book | ( |  | ) |

References erase_dock_book(), and studio::DockBook::signal_empty().

void DockDialog::erase_dock_book | ( | DockBook * | dock_book | ) |

References close().

Referenced by append_dock_book(), and prepend_dock_book().

void DockDialog::set_composition_selector | ( | bool | x | ) |

References get_composition_selector().

Referenced by _create_stock_dialog1().

bool studio::DockDialog::get_composition_selector | ( |  | ) | const`[inline]`

Referenced by set_composition_selector().

DockBook & DockDialog::get_dock_book | ( |  | ) |

References append_dock_book().

Referenced by studio::Dockable::present().

const DockBook & DockDialog::get_dock_book | ( |  | ) | const

synfig::String DockDialog::get_contents | ( |  | ) | const

void DockDialog::set_contents | ( | const synfig::String & | x | ) |

References append_dock_book(), and studio::DockBook::set_contents().

Referenced by _create_stock_dialog1(), and _create_stock_dialog2().

## Friends And Related Function Documentation

friend class DockManager `[friend]`

friend class DockBook `[friend]`

friend class Dockable `[friend]`

The documentation for this class was generated from the following files:

- dockdialog.h
- dockdialog.cpp